### Constructor

# Gtk.IconView.new_with_model

#### Declaration [src]

    GtkWidget*
    gtk_icon_view_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkIconView` widget with the model `model`.

#### Parameters

`model` | `GtkTreeModel`
| The model.
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
A newly created `GtkIconView` widget.
Ownership is not transferred to the caller